body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins";
  background-color: #0b0f19;
  color: #fff;
  max-width: 100% !important;
  overflow-x: hidden;
}
.procolor {
  color: #1e90ff;
}

.container-bg {
  background-image: url("../nuaavpic/product\ engineering\ \ bg.png");
  background-size: cover; /* full cover kare */
  background-position: right; /* center me aaye */
  background-repeat: no-repeat;
  height: 110vh !important; /* full height */
  color: white; /* text visible rahe */
  width: 100% !important;
  overflow-x: hidden;
}
.product {
  font-size: 36px;
  margin-top: 13rem;
  font-weight: 300;
  /* font-family: "poppins,"; */
  width: 61%;
}
.scroll {
  background: none;
  color: #a8a8a8;
  border: none;
  margin-top: 80px !important;
  font-size: 16px;
  padding-top: 40px !important;
}
/* .scroll-btn {
  background: transparent;
  border: 1px solid #0b0f19;
  color: white;
  padding: 12px 25px;
  border-radius: 30px;
  transition: 0.3s;
} */
.ourteam {
  color: #999999;
  font-size: 20px;
  line-height: 30px !important;
}

.demo-btn {
  position: relative;
  background: transparent;
  border: 1px solid #b8babc;
  padding: 18px 40px;
  border-radius: 35px;
  color: white;
  font-size: 20px;
  transition: 0.3s;
  overflow: hidden;
  z-index: 1;
}

.demo-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
}
/* Hover effect */
.demo-btn:hover::before {
  width: 100%;
}

/* Text color change */
.demo-btn:hover {
  color: white;
}

.big-heading {
  font-size: 40px;
  font-family: "Montserrat", sans-serif;
  font-weight: 500; /* thin */
  line-height: 1.1;
  text-align: center;
  margin-top: 25px;
}

.feature-card {
  background: #1f222d;
  color: white;
  border-radius: 10px;
  padding: 20px 20px;
  border: none;
  transition: 0.3s;
  height: 100%;
  min-height: 414px;
  width: 280px;
  font-family: "poppins";
}

.feature-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.4);
}

.card-icon {
  width: 128px;
  margin: 0 auto 20px auto;
  display: block;
  margin-top: 20px;
}

.feature-card h3 {
  font-weight: 600;
  margin-bottom: 15px;
  font-size: 45px;
}

.feature-card p {
  color: #d8d7d7;
  font-size: 16px;
}

/* service-card start */

.service-card {
  background: #1f222d;
  color: white;
  border-radius: 15px;
  padding: 30px 25px;
  border: none;
  transition: 0.3s;
  height: 100%;
  min-height: 420px;
}

.service-card ul {
  color: #d8d7d7;
  line-height: 2.3;
}
.service-card h6 {
  color: #d8d7d7;
}

.service-card:hover {
  transform: translateY(-6px);
  box-shadow: 0 12px 30px rgba(0, 0, 0, 0.35);
}

.service-icon {
  width: 60px;
  display: block;
  margin: 0 auto 15px;
}

.service-card h1 {
  font-size: 45px;
  margin-bottom: 10px;
  font-weight: 600;
}

.service-card p {
  font-size: 16px;
  margin-bottom: 10px;
}
/* service-card end  */

/* Smooth transition */
.blog-img {
  transition: 0.4s ease;
  transform-origin: left; /* 👈 important */
}

/* Section hover */
.align-items-stretch:hover .blog-img {
  transform: scaleX(1.05); /* width left se badhegi */
}

/* Read more default */
.read-more {
  color: black;
  transition: 0.3s;
  text-decoration: none;
}

/* Hover pe red color */
.blog-section:hover .read-more {
  color: red;
}
.blog-img {
  border-radius: 20px;
  height: 400px;
  width: 400px;
  object-fit: cover;
}

.blog-title {
  font-size: 34px;
  font-weight: 250;
  line-height: 1.1;
}

.blog-desc {
  color: #9b9b9b;
  font-size: 20px;
  margin-top: 40px;
}

.blog-meta {
  color: #ffffff;
}
.date {
  font-size: 20px;
}

.tag {
  position: relative;
  border: 1px solid #555;
  padding: 5px 18px;
  border-radius: 20px;
  font-size: 20px;
  transition: 0.3s ease;
  overflow: hidden;
  z-index: 1;
}
/* .tag::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
} */
/* Hover effect */
/* .tag:hover::before {
  width: 100%;
} */

/* Text color change */
/* .tag:hover {
  color: #000;
} */

.read-more {
  text-decoration: none;
  color: #ffffff;
  font-size: 20px;
}

.read-more:hover {
  color: white;
}

.Accelerate {
  font-family: "Montserrat", sans-serif;
  font-weight: 50;
  letter-spacing: 1px;
  margin-top: 40px;
  color: rgb(191, 188, 182);
}
hr {
  border: none;
  border-top: 1px solid rgb(190, 187, 187);
  margin: 20px 0;
  padding: 0 40px;
}
h1 span {
  color: rgb(40, 181, 228);
}
.container-btn {
  display: flex;
  justify-content: flex-end; /* right side */
}
.case-btn {
  padding: 14px 32px;
  font-size: 18px;
  color: #ffffff;
  background: transparent;
  border: 2px solid #555;
  border-radius: 40px;
  cursor: pointer;
  transition: all 0.3s ease;
  margin-right: 6rem;
  margin-top: 4rem;
  text-decoration: none;
  margin-bottom: 6rem;
}
.display {
  font-size: 96px;
  margin-left: 40px;
}
.future {
  margin-left: 15rem;
  margin-bottom: 6rem;
}

/* Hover Effect */

/* <============form==========> */

.contact-form {
  background: #252525;
  border-radius: 20px;
  box-shadow: 0 20px 50px rgba(0, 0, 0, 0.6);
}

.form-control {
  background: transparent;
  border: 2px solid #898787;
  color: #fff;
  border-radius: 10px;
}

.form-control:focus {
  background: transparent;
  border-color: #1e90ff;
  box-shadow: none;
  color: #fff;
}

.form-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
}

.submit-btn {
  border: 1px solid #898787;
  position: relative;
  border-radius: 30px;
  color: #fff;
  font-weight: 600;
  transition: 0.3s ease;
  overflow: hidden;
  z-index: 1;
  padding: 20px 10px;
}

.submit-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  background: rgb(22, 174, 239);
  z-index: -1;
  transition: 0.9s ease;
  border-radius: 30px;
}
/* Hover effect */
.submit-btn:hover::before {
  width: 100%;
}

/* Text color change */
.submit-btn:hover {
  color: #000;
}

/* ===================== */
/* TABLET RESPONSIVE */
/* ===================== */

@media (max-width: 992px) {
  .product {
    font-size: 70px;
  }

  .big-heading {
    font-size: 70px;
  }

  .feature-card h3 {
    font-size: 32px;
  }

  .feature-card p {
    font-size: 18px;
  }

  .service-card h1 {
    font-size: 32px;
  }

  .blog-title {
    font-size: 40px;
  }

  .blog-desc {
    font-size: 18px;
  }

  .card-icon {
    width: 50%;
  }
}

/* ===================== */
/* MOBILE RESPONSIVE */
/* ===================== */

@media (max-width: 768px) {
  #flex {
    display: flex;
    flex-wrap: nowrap;
    max-width: 55% !important;
  }
  #flex-center {
    display: flex !important;
    justify-content: center !important;
    padding: 0%;
    /* margin-left: 0px !important; */
    /* margin: 0%;
    margin-top: 20px; */
  }
  #titles {
    padding: 0%;
  }
  #widths {
    max-width: 100% !important;
    gap: 10px;
  }
  #ff {
    font-size: 20px !important;
  }
  .product {
    font-size: 50px;
  }

  .big-heading {
    font-size: 45px;
    line-height: 1.2;
  }

  .demo-btn {
    padding: 12px 25px;
    font-size: 9px;
  }

  .scroll-btn {
    padding: 10px 20px;
    font-size: 14px;
  }
  .service-card h6 {
    color: #d8d7d7;
    margin-left: 15px;
  }
  .feature-card {
    padding: 10px 10px;
    /* min-height: auto; */
    margin-left: 3px;
    min-height: auto;
    margin-left: -6px;
    /* height: 268px; */
    width: 161px;
  }

  .feature-card h3 {
    font-size: 26px;
  }

  .feature-card p {
    font-size: 16px;
  }

  .service-card {
    padding: 40px 25px;
  }

  .service-card h1 {
    font-size: 26px;
  }
  .text-info {
    font-size: 10px;
  }
  .Accelerate {
    font-size: 12px;
  }

  .blog-title {
    font-size: 10px !important;
  }

  .blog-desc {
    font-size: 7px;
    margin-top: 20px;
  }

  .date {
    font-size: 16px;
  }

  .tag {
    font-size: 11px;
    margin-right: 15px;
  }

  .read-more {
    font-size: 8px;
  }

  .blog-img {
    height: auto;
  }
  .mobile-form .form-control {
    border-radius: 25px;
    padding: 10px 10px;
    text-align: center;
    color: #fff !important; /* input text white */
  }
  .mobile-form .form-control::placeholder {
    color: #fff !important;
    opacity: 1; /* important for full white */
  }
  .submit-btn {
    border: 1px solid #898787;
    position: relative;
    border-radius: 30px;
    color: #fff;
    font-weight: 600;
    transition: 0.3s ease;
    overflow: hidden;
    z-index: 1;
    padding: 14px 7px;
    margin-right: 11rem;
    margin-bottom: 10rem;
  }

  .submit-btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background: rgb(22, 174, 239);
    z-index: -1;
    transition: 0.9s ease;
    border-radius: 30px;
  }
  /* Hover effect */
  .submit-btn:hover::before {
    width: 100%;
  }

  /* Text color change */
  .submit-btn:hover {
    color: #000;
  }

  .mobile-hide {
    display: none;
  }
  .lets {
    font-size: 32px;
    width: 100%;
    margin-right: 32px;
    margin-left: 16px;
  }
  .future {
    font-size: 24px;
    text-align: start;
    width: 100%;
    margin-left: 1rem;
    color: #32a8ef;
    margin-bottom: 0rem;
  }
  .case-btn {
    padding: 14px 32px;
    font-size: 7px;
    color: #ffffff;
    background: transparent;
    border: 2px solid #555;
    border-radius: 40px;
    cursor: pointer;
    transition: all 0.3s ease;
    margin-right: 2rem;
    margin-top: 0rem;
    margin-bottom: 3rem;
  }
  .container-bg {
    margin-top: 6rem;
    background-image: url("../nuaavpic/product\ engineering\ \ bg.png");
    background-size: cover; /* full cover kare */
    background-position: right; /* center me aaye */
    background-repeat: no-repeat;
    height: 263px !important; /* full height */
    color: white; /* text visible rahe */
    /* width: 380px !important; */
  }
  h5 {
    font-size: 10px;
    margin: 0px;
    padding: 0px;
  }
  .feature-card p {
    font-size: 9px;
  }
  .mobile-br {
    display: none;
  }
  .remove-margin-mobile {
    margin-top: 5px !important;
    margin-bottom: 20px !important;
  }
  .blog-img {
    border-radius: 20px;
    height: 131px;
    width: 131px;
    object-fit: cover;
  }
  .mobile-hr {
    display: none;
  }
  .boost {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
  }
  /* .col-6 {
    flex: 0 0 auto;
    width: 44%;
  } */
}

/* ===================== */
/* SMALL MOBILE */
/* ===================== */

@media (max-width: 480px) {
  .product {
    font-size: 16px;
    margin-top: 0px;
  }

  .big-heading {
    font-size: 12px;
    margin-top: -5px;
  }

  .blog-title {
    font-size: 26px;
  }

  .card-icon {
    width: 110px;
    margin-top: 5px;
    height: 120px;
  }
  .ourteam {
    color: #ffffff;
    font-size: 8px;
    line-height: 16px !important;
    margin-top: 10px !important;
    line-height: -3%;
  }
}
